Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2273968 - CVE-2024-26811 kernel: ksmbd: validate payload size in ipc response [fedora-all]
Summary: CVE-2024-26811 kernel: ksmbd: validate payload size in ipc response [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-26811
TreeView+ depends on / blocked
 
Reported: 2024-04-08 11:33 UTC by ybuenos
Modified: 2024-04-14 03:08 UTC (History)
17 users (show)

Fixed In Version: kernel-6.8.5-201.fc39 kernel-6.8.5-301.fc40 kernel-6.8.5-101.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-13 01:13:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description ybuenos 2024-04-08 11:33:35 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2273967

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 ybuenos 2024-04-08 11:33:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2273967,2273968

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-10 18:13:19 UTC
FEDORA-2024-6d35739db7 (kernel-6.8.5-300.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d35739db7

Comment 3 Fedora Update System 2024-04-10 18:13:22 UTC
FEDORA-2024-33a9ea72d1 (kernel-6.8.5-200.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-33a9ea72d1

Comment 4 Fedora Update System 2024-04-10 18:13:25 UTC
FEDORA-2024-a56a47ef1b (kernel-6.8.5-100.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-a56a47ef1b

Comment 5 Fedora Update System 2024-04-11 00:56:07 UTC
FEDORA-2024-6d35739db7 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6d35739db7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d35739db7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-04-11 01:10:57 UTC
FEDORA-2024-a56a47ef1b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-a56a47ef1b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-a56a47ef1b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-04-11 01:40:17 UTC
FEDORA-2024-33a9ea72d1 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-33a9ea72d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-33a9ea72d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-04-12 02:04:29 UTC
FEDORA-2024-6d35739db7 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6d35739db7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6d35739db7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-04-12 02:33:31 UTC
FEDORA-2024-33a9ea72d1 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-33a9ea72d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-33a9ea72d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-04-12 02:41:25 UTC
FEDORA-2024-a56a47ef1b has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-a56a47ef1b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-a56a47ef1b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-04-13 01:13:52 UTC
FEDORA-2024-33a9ea72d1 (kernel-6.8.5-201.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-04-13 03:41:08 UTC
FEDORA-2024-6d35739db7 (kernel-6.8.5-301.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-04-14 03:08:16 UTC
FEDORA-2024-a56a47ef1b (kernel-6.8.5-101.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.